<?php
/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*\
<< ******************************************************************** >>
<< * ---------------------------------------------------------------- * >>
<< * Copyright ©2011-2012 Ozzy47                                      * >>
<< * All Rights Reserved. 											  * >>
<< * This file may not be redistributed in whole or significant part. * >>
<< * ---------------------------------------------------------------- * >>
<< * You are not allowed to use this on your server unless the files  * >>
<< * you downloaded were done so with permission.					  * >>
<< * ---------------------------------------------------------------- * >>
<< ******************************************************************** >>
\*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/

//Excluded usergroups from auto responder
	if (is_array($settings['dbtech_vbsuper_pm_auto_responder_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_auto_responder_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_auto_responder_excluded']);
	}

//Excluded usergroups from auto reply character limit	
	if (is_array($settings['dbtech_vbsuper_pm_char_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_char_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_char_excluded']);
	}

//Staff usergroups so no auto reply sent	
	if (is_array($settings['dbtech_vbsuper_pm_staff_groups']))
	{
  		$settings['dbtech_vbsuper_pm_staff_groups'] = implode(',', $settings['dbtech_vbsuper_pm_staff_groups']);
	}

//Usergroups that can't send links in pm titles	
	if (is_array($settings['dbtech_vbsuper_pm_nolink_cant_send']))
	{
  		$settings['dbtech_vbsuper_pm_nolink_cant_send'] = implode(',', $settings['dbtech_vbsuper_pm_nolink_cant_send']);
	}

//Usergroups that can't send links in pm messages		
	if (is_array($settings['dbtech_vbsuper_pm_nolink_message']))
	{
  		$settings['dbtech_vbsuper_pm_nolink_message'] = implode(',', $settings['dbtech_vbsuper_pm_nolink_message']);
	}
	
//Usergroups that can't send email links in pm titles	
	if (is_array($settings['dbtech_vbsuper_pm_no_email_title']))
	{
  		$settings['dbtech_vbsuper_pm_no_email_title'] = implode(',', $settings['dbtech_vbsuper_pm_no_email_title']);
	}

//Usergroups that can't send email links in pm messages		
	if (is_array($settings['dbtech_vbsuper_pm_no_email_message']))
	{
  		$settings['dbtech_vbsuper_pm_no_email_message'] = implode(',', $settings['dbtech_vbsuper_pm_no_email_message']);
	}
	
//Usergroups that can use the PM blocker system		
	if (is_array($settings['dbtech_vbsuper_pm_auto_blocker_allowed']))
	{
  		$settings['dbtech_vbsuper_pm_auto_blocker_allowed'] = implode(',', $settings['dbtech_vbsuper_pm_auto_blocker_allowed']);
	}
	
//Usergroups that can't be blocked with the PM blocker system		
	if (is_array($settings['dbtech_vbsuper_pm_auto_blocker_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_auto_blocker_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_auto_blocker_excluded']);
	}
	
//Usergroups that can use the warning message system	
	if (is_array($settings['dbtech_vbsuper_pm_warning_msg_allowed']))
	{
  		$settings['dbtech_vbsuper_pm_warning_msg_allowed'] = implode(',', $settings['dbtech_vbsuper_pm_warning_msg_allowed']);
	}
	
//Usergroups excluded from seeing warning message, even if receiver has it enabled	
	if (is_array($settings['dbtech_vbsuper_pm_warning_msg_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_warning_msg_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_warning_msg_excluded']);
	}
	
//Usergroups excluded from minimum post amount	
	if (is_array($settings['dbtech_vbsuper_pm_min_post_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_min_post_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_min_post_excluded']);
	}
	
//Staff usergroups that can get pm's if senders post count is not reached	
	if (is_array($settings['dbtech_vbsuper_pm_min_post_staff']))
	{
  		$settings['dbtech_vbsuper_pm_min_post_staff'] = implode(',', $settings['dbtech_vbsuper_pm_min_post_staff']);
	}
	
//Usergroups excluded from PM previews	
	if (is_array($settings['dbtech_vbsuper_pm_view_pm_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_view_pm_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_view_pm_excluded']);
	}
	
//Usergroups excluded from PM system	
	if (is_array($settings['dbtech_vbsuper_pm_excluded_groups']))
	{
  		$settings['dbtech_vbsuper_pm_excluded_groups'] = implode(',', $settings['dbtech_vbsuper_pm_excluded_groups']);
	}
	
//Usergroups excluded from days registered	
	if (is_array($settings['dbtech_vbsuper_pm_days_registered_excluded_groups']))
	{
  		$settings['dbtech_vbsuper_pm_days_registered_excluded_groups'] = implode(',', $settings['dbtech_vbsuper_pm_days_registered_excluded_groups']);
	}
	
//Staff usergroups that can get pm's if sender has not reached min days registered	
	if (is_array($settings['dbtech_vbsuper_pm_days_registered_staff']))
	{
  		$settings['dbtech_vbsuper_pm_days_registered_staff'] = implode(',', $settings['dbtech_vbsuper_pm_days_registered_staff']);
	}
	
//Usergroups excluded from pm throttle	
	if (is_array($settings['dbtech_vbsuper_pm_throttle_excluded']))
	{
  		$settings['dbtech_vbsuper_pm_throttle_excluded'] = implode(',', $settings['dbtech_vbsuper_pm_throttle_excluded']);
	}
	
//Staff usergroups that can get pm's if sender has reached their throttle limit	
	if (is_array($settings['dbtech_vbsuper_pm_throttle_staff']))
	{
  		$settings['dbtech_vbsuper_pm_throttle_staff'] = implode(',', $settings['dbtech_vbsuper_pm_throttle_staff']);
	}
	
//Usergroups allowed upload of attachments MAYBE REMOVE
	if (is_array($settings['dbtech_vbsuper_pm_attachments_allowed']))
	{
  		$settings['dbtech_vbsuper_pm_attachments_allowed'] = implode(',', $settings['dbtech_vbsuper_pm_attachments_allowed']);
	}
	
//Usergroups allowed to get attachments	MAYBE REMOVE
	if (is_array($settings['dbtech_vbsuper_pm_attachments_allowed_download']))
	{
  		$settings['dbtech_vbsuper_pm_attachments_allowed_download'] = implode(',', $settings['dbtech_vbsuper_pm_attachments_allowed_download']);
	}
	
//Usergroups allowed to disable post quote PM's
	if (is_array($settings['dbtech_vbsuper_pm_post_quote_allowed']))
	{
  		$settings['dbtech_vbsuper_pm_post_quote_allowed'] = implode(',', $settings['dbtech_vbsuper_pm_post_quote_allowed']);
	}
	
//Usergroups allowed to disable auto quote in PM's
	if (is_array($settings['dbtech_vbsuper_pm_quote_pm_allowed']))
	{
  		$settings['dbtech_vbsuper_pm_quote_pm_allowed'] = implode(',', $settings['dbtech_vbsuper_pm_quote_pm_allowed']);
	}
	
	// Usergroups allowed to use reply to all
	if (is_array($settings['dbtech_vbsuper_pm_reply_all_allowed']))
	{
  		$settings['dbtech_vbsuper_pm_reply_all_allowed'] = implode(',', $settings['dbtech_vbsuper_pm_reply_all_allowed']);
	}	
	
	/*DBTECH_PRO_START*/
	// Usergroups who get PM's pruned
	if (is_array($settings['dbtech_vbsuper_pm_cron_prune_groups']))
	{
  		$settings['dbtech_vbsuper_pm_cron_prune_groups'] = implode(',', $settings['dbtech_vbsuper_pm_cron_prune_groups']);
	}
	/*DBTECH_PRO_END*/
	
	// Usergroups forced to read pm
	if (is_array($settings['dbtech_vbsuper_pm_force_read_groups']))
	{
  		$settings['dbtech_vbsuper_pm_force_read_groups'] = implode(',', $settings['dbtech_vbsuper_pm_force_read_groups']);
	}
	
	/*DBTECH_PRO_START*/
	// Staff usergroups for excluded from pm's
	if (is_array($settings['dbtech_vbsuper_pm_excluded_staff_groups']))
	{
  		$settings['dbtech_vbsuper_pm_excluded_staff_groups'] = implode(',', $settings['dbtech_vbsuper_pm_excluded_staff_groups']);
	}
	/*DBTECH_PRO_END*/

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*\
<< ********************************************************************* >>
<< * Created: 09:30, Fri June 8th 2012                                 * >>
<< * VER: 1.0.0                                                        * >>
<< ********************************************************************* >>
\*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/
?>